HsController (Apache Hadoop MapReduce HistoryServer 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.hs.webapp, class: HsController

Package org.apache.hadoop.mapreduce.v2.hs.webapp

# Class HsController

java.lang.Object
org.apache.hadoop.yarn.webapp.Controller
org.apache.hadoop.mapreduce.v2.app.webapp.AppController
org.apache.hadoop.mapreduce.v2.hs.webapp.HsController

All Implemented Interfaces:
  `org.apache.hadoop.mapreduce.v2.app.webapp.AMParams`, `org.apache.hadoop.yarn.webapp.Params`

public class HsController extends org.apache.hadoop.mapreduce.v2.app.webapp.AppController
This class renders the various pages that the History Server WebApp supports

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.hadoop.yarn.webapp.Controller

  `org.apache.hadoop.yarn.webapp.Controller.RequestContext`

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.mapreduce.v2.app.webapp.AppController

  `app`

  ### Fields inherited from interface org.apache.hadoop.mapreduce.v2.app.webapp.AMParams

  `APP_ID, ATTEMPT_STATE, COUNTER_GROUP, COUNTER_NAME, JOB_ID, RM_WEB, TASK_ID, TASK_STATE, TASK_TYPE`

  ### Fields inherited from interface org.apache.hadoop.yarn.webapp.Params

  `ERROR_DETAILS, TITLE, TITLE_LINK, USER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `about()`
  Render a page about the current server.
  `protected Class<? extends org.apache.hadoop.yarn.webapp.View>`
  `aboutPage()`
  `void`
  `attempts()`
  `protected Class<? extends org.apache.hadoop.yarn.webapp.View>`
  `attemptsPage()`
  `protected Class<? extends org.apache.hadoop.yarn.webapp.View>`
  `confPage()`
  `Class<? extends org.apache.hadoop.yarn.webapp.View>`
  `countersPage()`
  `void`
  `index()`
  `void`
  `job()`
  `void`
  `jobCounters()`
  `protected Class<? extends org.apache.hadoop.yarn.webapp.View>`
  `jobPage()`
  `void`
  `logs()`
  Render the logs page.
  `void`
  `nmlogs()`
  Render the nm logs page.
  `protected Class<? extends org.apache.hadoop.yarn.webapp.View>`
  `singleCounterPage()`
  `void`
  `singleJobCounter()`
  `void`
  `singleTaskCounter()`
  `void`
  `task()`
  `void`
  `taskCounters()`
  `protected Class<? extends org.apache.hadoop.yarn.webapp.View>`
  `taskPage()`
  `void`
  `tasks()`
  `protected Class<? extends org.apache.hadoop.yarn.webapp.View>`
  `tasksPage()`

  ### Methods inherited from class org.apache.hadoop.mapreduce.v2.app.webapp.AppController

  `conf, downloadConf, info, requireJob, requireTask`

  ### Methods inherited from class org.apache.hadoop.yarn.webapp.Controller

  `$, context, cookies, echo, error, get, getInstance, inDevMode, info, injector, render, renderJSON, renderJSON, renderText, request, response, set, setStatus, setTitle, setTitle, status, url, writer`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### index

    public void index()
    Overrides:
      `index` in class `org.apache.hadoop.mapreduce.v2.app.webapp.AppController`

  - ### jobPage

    protected Class<? extends org.apache.hadoop.yarn.webapp.View> jobPage()
    Overrides:
      `jobPage` in class `org.apache.hadoop.mapreduce.v2.app.webapp.AppController`

  - ### countersPage

    public Class<? extends org.apache.hadoop.yarn.webapp.View> countersPage()
    Overrides:
      `countersPage` in class `org.apache.hadoop.mapreduce.v2.app.webapp.AppController`

  - ### tasksPage

    protected Class<? extends org.apache.hadoop.yarn.webapp.View> tasksPage()
    Overrides:
      `tasksPage` in class `org.apache.hadoop.mapreduce.v2.app.webapp.AppController`

  - ### taskPage

    protected Class<? extends org.apache.hadoop.yarn.webapp.View> taskPage()
    Overrides:
      `taskPage` in class `org.apache.hadoop.mapreduce.v2.app.webapp.AppController`

  - ### attemptsPage

    protected Class<? extends org.apache.hadoop.yarn.webapp.View> attemptsPage()
    Overrides:
      `attemptsPage` in class `org.apache.hadoop.mapreduce.v2.app.webapp.AppController`

  - ### job

    public void job()
    Overrides:
      `job` in class `org.apache.hadoop.mapreduce.v2.app.webapp.AppController`

  - ### jobCounters

    public void jobCounters()
    Overrides:
      `jobCounters` in class `org.apache.hadoop.mapreduce.v2.app.webapp.AppController`

  - ### taskCounters

    public void taskCounters()
    Overrides:
      `taskCounters` in class `org.apache.hadoop.mapreduce.v2.app.webapp.AppController`

  - ### tasks

    public void tasks()
    Overrides:
      `tasks` in class `org.apache.hadoop.mapreduce.v2.app.webapp.AppController`

  - ### task

    public void task()
    Overrides:
      `task` in class `org.apache.hadoop.mapreduce.v2.app.webapp.AppController`

  - ### attempts

    public void attempts()
    Overrides:
      `attempts` in class `org.apache.hadoop.mapreduce.v2.app.webapp.AppController`

  - ### confPage

    protected Class<? extends org.apache.hadoop.yarn.webapp.View> confPage()
    Overrides:
      `confPage` in class `org.apache.hadoop.mapreduce.v2.app.webapp.AppController`
    Returns:
      the page that will be used to render the /conf page

  - ### aboutPage

    protected Class<? extends org.apache.hadoop.yarn.webapp.View> aboutPage()
    Returns:
      the page about the current server.

  - ### about

    public void about()
    Render a page about the current server.

  - ### logs

    public void logs()
    Render the logs page.

  - ### nmlogs

    public void nmlogs()
    Render the nm logs page.

  - ### singleCounterPage

    protected Class<? extends org.apache.hadoop.yarn.webapp.View> singleCounterPage()
    Overrides:
      `singleCounterPage` in class `org.apache.hadoop.mapreduce.v2.app.webapp.AppController`

  - ### singleJobCounter

    public void singleJobCounter() throws IOException
    Overrides:
      `singleJobCounter` in class `org.apache.hadoop.mapreduce.v2.app.webapp.AppController`
    Throws:
      `IOException`

  - ### singleTaskCounter

    public void singleTaskCounter() throws IOException
    Overrides:
      `singleTaskCounter` in class `org.apache.hadoop.mapreduce.v2.app.webapp.AppController`
    Throws:
      `IOException`